System Requirements

Confluence works with a broad range of operating systems, database systems and application servers. Provided you have the technical knowledge, it is very likely that you will be able to run Confluence with an 8-year-old database or even on some 8-year-old hardware. Realistically, it is not technically feasible for us to provide our legendary support service on all environments available. There can only be a finite number of platforms and release versions of those that we support.

Our rule of thumb when releasing a new version of Confluence is that we will officially support platforms that have been released within the last one to two years (or the latest version of that platform if no new version of it was released in that period). This does not necessarily mean that you will need to upgrade your database or application server every time you upgrade Confluence. However, if you do run into problems with an unsupported version of a database or application server, we may have to ask you to upgrade to something newer.

On this page:

Please refer to our Supported Platforms topic for details on platforms that we currently support in this version of Confluence and our Supported Platforms FAQ topic for details on our support handling procedures.

Confluence Software Requirements

Please read the Supported Platforms page for Confluence. That page contains a list of specific software that Confluence will work with.

Operating Systems

Atlassian supports the operating systems listed on the Supported Platforms page.

If you would like to run Confluence on virtualised hardware, please read our Running Confluence in a Virtualised Environment document first.

Application Servers

An application server is required to run Confluence. Apache Tomcat is bundled with the distribution.

Atlassian only supports the application servers listed on the Supported Platforms page, provided they are running on Windows, Linux, or Solaris. If you are using a different application server or earlier version, we may ask you to migrate to one of the supported application servers before we can provide you with further support.

Databases

A database is required to run Confluence. Atlassian supports the databases listed on the Supported Platforms page.

When evaluating Confluence, you can use the embedded database included in the Confluence installation.

When moving to a production installation, you must set up an external database server. If you have no preference for a particular database, we highly recommend using PostgreSQL. This is a scalable, robust and free database server that is also easy to set up. For database setup information, please refer to Database Configuration.

Java

Confluence requires the Java Runtime Environment (JRE) installed.

If using the zip or archive distribution of Confluence, you will need to install a supported JRE. The automated installer bundles Java and will install this for you.
For instructions on installing the JRE for Windows and Linux/Solaris, please refer to Installing Java for Confluence.

Please Note: Impact of Antivirus Software

The presence of antivirus software on your operating system running Confluence greatly decreases the performance of Confluence. Antivirus software that intercepts access to the hard disk is particularly detrimental and may even cause errors in Confluence.

You should configure your antivirus software to ignore the following directories:

  • Confluence home directory
  • Confluence's index directory
  • All database-related directories

(warning) This recommendation above is particularly important if you are running Confluence on Windows. No matter how fast your hardware is, antivirus software will almost always have a negative impact on Confluence's performance and may render Confluence impossible to use.

Confluence Hardware Requirements

Please be aware that while some of our customers run Confluence on SPARC-based hardware, Atlassian only officially supports Confluence running on x86 hardware and 64-bit derivatives of x86 hardware.

See Server Hardware Requirements Guide for details.

Refer also to the tips on reducing out of memory errors, in particular the section on Permanent Generation Size.

Hosted Solutions – Confluence Cloud

If you do not have the resources to set up and maintain a Confluence installation locally, consider Confluence Cloud. Atlassian can run and maintain your installation of Confluence, handling all the testing, monitoring and upgrading processes for you. 

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport